Bug 717867 - (ghc-http-types) Review Request: ghc-http-types - Generic HTTP types for Haskell
Review Request: ghc-http-types - Generic HTTP types for Haskell
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On: ghc-case-insensitive
Blocks: ghc-wai 736602
  Show dependency treegraph
 
Reported: 2011-06-30 04:47 EDT by Jens Petersen
Modified: 2011-10-12 20:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-http-types-0.3.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-09 12:58:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-06-30 04:47:39 EDT
Spec URL: http://petersen.fedorapeople.org/ghc-http-types/ghc-http-types.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-http-types/ghc-http-types-0.6.5-1.fc15.src.rpm
Description: Generic HTTP types for Haskell for both client and server code
Comment 1 Narasimhan 2011-08-18 10:00:08 EDT
Will review this.
Comment 2 Narasimhan 2011-08-27 00:17:36 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i *.rpm ../ghc-http-types.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK, based on cabal2spec 0.24
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
Licensed with BSD.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum ~/Downloads/http-types-0.6.5.tar.gz 
d11d13ee2edc395fd81af98d563af9b9  ~/Downloads/http-types-0.6.5.tar.gz

 md5sum ghc-http-types-0.6.5-1.fc15.src/http-types-0.6.5.tar.gz 
d11d13ee2edc395fd81af98d563af9b9  ghc-http-types-0.6.5-1.fc15.src/http-types-0.6.5.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
Documentation is in devel package.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
pm -e ghc-http-types
error: Failed dependencies:
        ghc-http-types = 0.6.5-1.fc15 is needed by (installed) ghc-http-types-devel-0.6.5-1.fc15.x86_64
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
LICENSE file is included.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the package. Imported Network.HTTP.Types into ghci. No issues.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Jens Petersen 2011-08-28 23:03:24 EDT
Thank you for the review.


New Package SCM Request
=======================
Package Name: ghc-http-types
Short Description: Generic HTTP types for Haskell
Owners: petersen
Branches: f14 f15 f16
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2011-08-29 08:00:30 EDT
Git done (by process-git-requests).
Comment 5 Jens Petersen 2011-08-31 21:25:09 EDT
Package imported and built.
Comment 6 Fedora Update System 2011-09-01 00:10:45 EDT
ghc-http-types-0.6.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-http-types-0.6.5-1.fc15
Comment 7 Fedora Update System 2011-09-01 00:10:53 EDT
ghc-http-types-0.6.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-http-types-0.6.5-1.fc16
Comment 8 Jens Petersen 2011-09-01 00:14:36 EDT
I couldn't build for F14 yet since http-types needs text ≥0.11.0.2,
whereas F14 is still on text-0.10.  Since F14 haskell-platform
does not specify text we could update to 0.11 later if necessary.
Comment 9 Fedora Update System 2011-09-01 15:02:02 EDT
ghc-http-types-0.6.5-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 10 Fedora Update System 2011-09-09 12:58:33 EDT
ghc-http-types-0.6.5-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2011-09-13 01:53:55 EDT
ghc-http-types-0.6.5-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 12 Fedora Update System 2011-10-03 23:51:21 EDT
ghc-http-types-0.3.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-http-types-0.3.1-1.fc14
Comment 13 Fedora Update System 2011-10-12 20:49:30 EDT
ghc-http-types-0.3.1-1.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.